﻿// -----------------------------------------------------------------------
// <copyright file="ShellViewModel.cs" company="">
//
// The MIT License (MIT)
// 
// Copyright (c) 2012 Christoph Gattnar
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
// documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
// permit persons to whom the Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of
// the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
// BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// </copyright>
// -----------------------------------------------------------------------

namespace Gat.Controls.TestApplication.Shell
{
	using System.ComponentModel.Composition;
	using Caliburn.Micro;
	using Gat.Controls.TestApplication.Main;

	[Export(typeof(IShell))]
	public class ShellViewModel : Conductor<IScreen>.Collection.OneActive, IShell
	{
		#region Fields

		#endregion

		#region Constructors

		[ImportingConstructor]
		public ShellViewModel()
		{
			MainViewModel mwvm = new MainViewModel();
			ActivateItem(mwvm);
		}

		#endregion

		#region Properties

		[Import]
		private IEventAggregator EventAggregator
		{
			get;
			set;
		}

		[Import]
		public IWindowManager WindowManager
		{
			get;
			set;
		}

		#endregion

		#region Methods

		#endregion
	}
}
