﻿// -----------------------------------------------------------------------
// <copyright file="MainViewModel.cs" company="">
//
// The MIT License (MIT)
// 
// Copyright (c) 2012 Christoph Gattnar
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
// documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
// permit persons to whom the Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of
// the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
// BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// </copyright>
// -----------------------------------------------------------------------

namespace Gat.Controls.TestApplication.Main
{
	using System.Windows.Media.Imaging;
	using Caliburn.Micro;

	public class MainViewModel : Screen
	{
		public void MVVMAbout()
		{
			BitmapImage appBi = new BitmapImage(new System.Uri("pack://application:,,,/AppLogo.bmp"));
			BitmapImage cBi = new BitmapImage(new System.Uri("pack://application:,,,/cLogo.bmp"));

			AboutControlView about = new AboutControlView();
			AboutControlViewModel vm = (AboutControlViewModel)about.FindResource("ViewModel");
			vm.ApplicationLogo = appBi;
			vm.PublisherLogo = cBi;
			vm.HyperlinkText = "http://aboutbox.codeplex.com/";

			vm.Window.Content = about;
			vm.Window.Show();
		}

		public void NonMVVMAbout()
		{
			BitmapImage appBi = new BitmapImage(new System.Uri("pack://application:,,,/AppLogo.bmp"));
			BitmapImage cBi = new BitmapImage(new System.Uri("pack://application:,,,/cLogo.bmp"));

			About about = new About();
			about.ApplicationLogo = appBi;
			about.PublisherLogo = cBi;
			about.HyperlinkText = "http://aboutbox.codeplex.com/";
			about.Show();
		}
	}
}
